#!/usr/bin/env bash

# ─< Silent execution >─────────────────────────────────────────────────────────────────
silentexec() {
  "$@" >/dev/null 2>&1
}

mkdirs() {
  # ─< .config dir >────────────────────────────────────────────────────────────────────────
  if [[ ! -d $HOME/.config ]]; then
    echo "mkdir $HOME/.config"
    silentexec mkdir $HOME/.config
  fi
}

mkdirs